﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace LegoVezZobrazovac
{
    public enum BrickColor
    {
        Azure,
        Red,
        Green,
        Blue,
        Yellow
    }

    public class BrickInfo
    {
        public BrickColor Color;
        public int Width;
        public int Height;
        public int X;
        public int Y;
        public int Level;

        public int Count = 0;

        public string Dimensions
        {
            get
            {
                return this.Width + "x" + this.Height;
            }
        }

        public string LocalizedColorName
        {
            get
            {
                switch (this.Color)
                {
                    case BrickColor.Azure:
                        return "Azurová";

                    case BrickColor.Blue:
                        return "Modrá";

                    case BrickColor.Green:
                        return "Zelená";

                    case BrickColor.Red:
                        return "Červená";

                    case BrickColor.Yellow:
                        return "Žlutá";

                    default:
                        return "Divná";
                }
            }
        }

        public string Key
        {
            get
            {
                return this.Dimensions + "(" + this.LocalizedColorName + ")";
            }
        }

        public string UserFriendlyString
        {
            get
            {
                return this.Dimensions + ", " + this.Color.ToString() + ", " + this.Count + "x";
            }
        }

        public Brush ColorBrush
        {
            get
            {
                switch (this.Color)
                {
                    case BrickColor.Azure:
                        return Brushes.Azure;

                    case BrickColor.Red:
                        return Brushes.Red;

                    case BrickColor.Green:
                        return Brushes.Green;

                    case BrickColor.Blue:
                        return Brushes.Blue;

                    case BrickColor.Yellow:
                        return Brushes.Yellow;

                    default:
                        return Brushes.Pink;
                }
            }
        }
    }
}
